version: '3.1'

services:

  node1:
    build:
      context: ./
    entrypoint: mysqld --wsrep_cluster_address=gcomm:// --wsrep_cluster_name=local-test
    hostname: node1
    container_name: galera-node1
    ports:
      - 13306:3306/tcp
    volumes:
      - node1:/var/lib/mysql     

  node2:
    build:
      context: ./
    entrypoint: mysqld --wsrep_cluster_address=gcomm://node1 --wsrep_cluster_name=local-test
    hostname: node2
    container_name: galera-node2
    ports:
      - 23306:3306/tcp
    volumes:
      - node2:/var/lib/mysql     
      
  node3:
    build:
      context: ./
    entrypoint: mysqld --wsrep_cluster_address=gcomm://node1 --wsrep_cluster_name=local-test
    hostname: node3
    container_name: galera-node3      
    ports:
      - 33306:3306/tcp
    volumes:
      - node3:/var/lib/mysql      

volumes:
  node1:
  node2:
  node3: